# Uses of Enum Class
org.jfree.chart3d.table.VAlign

Packages that use VAlign
Package
Description
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of VAlign in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend that return VAlign
Modifier and Type
Method
Description
`VAlign`
StandardLegendBuilder.`getColumnAlignment()`
Returns the column alignment.
Methods in org.jfree.chart3d.legend with parameters of type VAlign
Modifier and Type
Method
Description
`void`
StandardLegendBuilder.`setColumnAlignment(VAlign alignment)`
Sets the column alignment (to override the default alignment that is derived from the legend anchor point).

## Uses of VAlign in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table that return VAlign
Modifier and Type
Method
Description
`VAlign`
VerticalFlowElement.`getVerticalAlignment()`
Returns the vertical alignment for the elements.
`static VAlign`
VAlign.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VAlign[]`
VAlign.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.table with parameters of type VAlign
Modifier and Type
Method
Description
`void`
VerticalFlowElement.`setVerticalAlignment(VAlign alignment)`
Sets the vertical alignment of elements within columns,
Constructors in org.jfree.chart3d.table with parameters of type VAlign
Modifier
Constructor
Description
``
`VerticalFlowElement(VAlign alignment, int vgap)`
Creates a new instance.